<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToCompanyWork](./bitburner.sleeve.settocompanywork.md)

## Sleeve.setToCompanyWork() method

Set a sleeve to work for a company.

**Signature:**

```typescript
setToCompanyWork(sleeveNumber: number, companyName: CompanyName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to work for the company.


</td></tr>
<tr><td>

companyName


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>

Name of the company to work for.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the sleeve started working for this company, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working for a company.

